| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NTuple::_Accessor< TYP > Class Template Reference

`#include <NTuple.h>`

Inheritance diagram for NTuple::_Accessor< TYP >:

[legend]
Collaboration diagram for NTuple::_Accessor< TYP >:

[legend]
List of all members.

## Detailed Description

### template<class TYP>
class NTuple::_Accessor< TYP >

Class acting as a smart pointer holding a N tuple entry.

Definition at line 222 of file NTuple.h.

## Public Member Functions
| _Accessor ()
| Standard Constructor.
virtual | ~_Accessor ()
| Standard Destructor.
bool | operator! () const
| Check if column is present.
| operator const void * () const
| Check if column is present.
TYP * | operator-> ()
| Dereference operator.
const TYP * | operator-> () const
| Dereference operator (CONST).
const Range< TYP > & | range () const
| Access the range.
## Protected Attributes
TYP * | m_ptr
| Pointer to instance.
## Private Member Functions
_Accessor< TYP > & | operator= (const _Accessor< TYP > &copy)
## Friends
class | Tuple

## Constructor & Destructor Documentation

template<class TYP>

NTuple::_Accessor< TYP >::_Accessor | ( |  | ) | `[inline]`

Standard Constructor.

Definition at line 233 of file NTuple.h.

    00233 : m_ptr(0)           {                                }

template<class TYP>

virtual NTuple::_Accessor< TYP >::~_Accessor | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 235 of file NTuple.h.

    00235 {                                }

## Member Function Documentation

template<class TYP>

_Accessor<TYP>& NTuple::_Accessor< TYP >::operator= | ( | const _Accessor< TYP > & | copy | ) | `[inline, private]`

Definition at line 225 of file NTuple.h.

    00225                                                             {
    00226       return *this;
    00227     }

template<class TYP>

bool NTuple::_Accessor< TYP >::operator! | ( |  | ) | const`[inline]`

Check if column is present.

Definition at line 237 of file NTuple.h.

    00237 { return m_ptr != 0;             }

template<class TYP>

NTuple::_Accessor< TYP >::operator const void * | ( |  | ) | const`[inline]`

Check if column is present.

Definition at line 239 of file NTuple.h.

    00239 { return m_ptr;                  }

template<class TYP>

TYP* NTuple::_Accessor< TYP >::operator-> | ( |  | ) | `[inline]`

Dereference operator.

Definition at line 241 of file NTuple.h.

    00241 { return m_ptr;                  }

template<class TYP>

const TYP* NTuple::_Accessor< TYP >::operator-> | ( |  | ) | const`[inline]`

Dereference operator (CONST).

Definition at line 243 of file NTuple.h.

    00243 { return m_ptr;                  }

template<class TYP>

const Range<TYP>& NTuple::_Accessor< TYP >::range | ( |  | ) | const`[inline]`

Access the range.

Definition at line 245 of file NTuple.h.

Referenced by NTuple::Tuple::addIndexedItem(), and NTuple::Tuple::addItem().

    00245 { return m_ptr->range();         }

## Friends And Related Function Documentation

template<class TYP>

friend class Tuple`[friend]`

Definition at line 223 of file NTuple.h.

## Member Data Documentation

template<class TYP>

TYP* NTuple::_Accessor< TYP >::m_ptr`[mutable, protected]`

Pointer to instance.

Definition at line 230 of file NTuple.h.

Referenced by NTuple::Tuple::addIndexedItem(), NTuple::Tuple::addItem(), NTuple::Tuple::item(), NTuple::Item< IOpaqueAddress * >::operator *(), NTuple::Item< IOpaqueAddress * >::operator *=(), NTuple::Item< bool >::operator const bool(), NTuple::Item< TYP >::operator const TYP(), NTuple::_Accessor< NTuple::_Item< bool > >::operator const void *(), NTuple::_Accessor< NTuple::_Item< bool > >::operator!(), NTuple::Item< IOpaqueAddress * >::operator+=(), NTuple::Item< IOpaqueAddress * >::operator-=(), NTuple::_Accessor< NTuple::_Item< bool > >::operator->(), NTuple::Item< IOpaqueAddress * >::operator/=(), NTuple::Matrix< TYP >::operator=(), NTuple::Array< TYP >::operator=(), NTuple::Item< bool >::operator=(), NTuple::Item< IOpaqueAddress * >::operator=(), NTuple::Matrix< TYP >::operator[](), NTuple::Array< TYP >::operator[](), and NTuple::_Accessor< NTuple::_Item< bool > >::range().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/NTuple.h